Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util.repo
Class Handler

    java.lang.Object
      java.net.URLStreamHandler
          com.jaspersoft.jasperserver.api.engine.jasperreports.util.repo.Handler

    public class Handler

extends java.net.URLStreamHandler

Version:
  $Id: Handler.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static java.lang.String` | `REPOSITORY_PROTOCOL`
`static java.lang.String` | `URL_PROTOCOL_PREFIX`

Constructor Summary
`Handler()`

Method Summary
`protected java.net.URLConnection` | `openConnection(java.net.URL url)`
`protected void` | `parseURL(java.net.URL u, java.lang.String spec, int start, int limit)`

Methods inherited from class java.net.URLStreamHandler
`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, openConnection, sameFile, setURL, setURL, toExternalForm`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPOSITORY_PROTOCOL

    public static final java.lang.String REPOSITORY_PROTOCOL

See Also:
  Constant Field Values

### URL_PROTOCOL_PREFIX

    public static final java.lang.String URL_PROTOCOL_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### Handler

    public Handler()

Method Detail

### parseURL

    protected void parseURL(java.net.URL u,
                            java.lang.String spec,
                            int start,
                            int limit)

  Overrides:
    `parseURL` in class `java.net.URLStreamHandler`

### openConnection

    protected java.net.URLConnection openConnection(java.net.URL url)
                                             throws java.io.IOException

  Specified by:
    `openConnection` in class `java.net.URLStreamHandler`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.